Retrieve all operators
curl --request GET \
--url https://api.eigenexplorer.com/operators \
--header 'X-API-Token: <x-api-token>'import requests
url = "https://api.eigenexplorer.com/operators"
headers = {"X-API-Token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};
fetch('https://api.eigenexplorer.com/operators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "0x09e6eb09213bdd3698bd8afb43ec3cb0ecff683a",
"metadataName": "Example AVS Operator",
"metadataDescription": "This is an example AVS operator",
"metadataDiscord": "https://discord.com/invite/abcdefghij",
"metadataLogo": "<string>",
"metadataTelegram": "https://t.me/acme",
"metadataWebsite": "https://acme.com",
"metadataX": "https://twitter.com/acme",
"totalStakers": 10,
"totalAvs": 10,
"maxApy": "1.0",
"createdAtBlock": "19631203",
"updatedAtBlock": "19631203",
"createdAt": "2024-04-11T08:31:11.000Z",
"updatedAt": "2024-04-11T08:31:11.000Z",
"shares": [
{
"strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564d",
"shares": "135064894598947935263152"
},
{
"strategyAddress": "0x54945180db7943c0ed0fee7edab2bd24620256bc",
"shares": "9323641881708650182301"
}
],
"avsRegistrations": [
{
"avsAddress": "0x870679e138bcdf293b7ff14dd44b70fc97e12fc0",
"isActive": true
},
{
"avsAddress": "0xe8e59c6c8b56f2c178f63bcfc4ce5e5e2359c8fc",
"isActive": false
}
],
"tvl": {
"tvl": 1000000,
"tvlBeaconChain": 1000000,
"tvlWETH": 1000000,
"tvlRestaking": 1000000,
"tvlStrategies": {
"Eigen": 1000000,
"cbETH": 2000000
},
"tvlStrategiesEth": {
"stETH": 1000000,
"cbETH": 2000000
}
}
}
],
"meta": {
"total": 30,
"skip": 0,
"take": 12
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}Operators
Retrieve all operators
Returns all operator records. This endpoint supports pagination.
GET
/
operators
Retrieve all operators
Headers
API Token for authentication
Query Parameters
Toggle whether the route should calculate the TVL from shares
Available options:
true, false Example:
"false"
Case-insensitive search query
Example:
"eigen"
Sort results in asc or desc order of APY
Available options:
asc, desc Example:
"desc"
Sort results in asc or desc order of TVL value
Available options:
asc, desc Example:
"desc"
Sort results in asc or desc order of total AVS (only valid for Operator queries)
Available options:
asc, desc Example:
"desc"
Sort results in asc or desc order of total stakers
Available options:
asc, desc Example:
"desc"
The number of records to skip for pagination
Example:
0
The number of records to return for pagination
Example:
12
⌘I